# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Kwiki/CGI.pm) perl(Kwiki/Installer.pm) perl(Kwiki/Plugin.pm) perl(Spiffy.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.mixin.pm./d
Name:           perl-Kwiki-Attachments
Version:        0.21
Release:        alt1_9
Summary:        Kwiki Page Attachments Plugin
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Kwiki-Attachments/
Source0:        http://www.cpan.org/authors/id/S/SU/SUE/Kwiki-Attachments-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IO/All.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Kwiki.pm)
Requires:       perl(Kwiki.pm) >= 0.37
Source44: import.info

%description
This module gives a Kwiki wiki the ability to upload, store and manage file
attachments on any page. Thumbnails will be created for supported file
types if Imager or Image::Magick is installed. For more information, read
the module POD.

%prep
%setup -q -n Kwiki-Attachments-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1_9
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1_8
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1_6
- fc import

